#ifndef _HTTP_HEADERS_H_
#define _HTTP_HEADERS_H_

/*
   *
   * http_headers.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



static char* http_ok_header =
	"%s 200 OK"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": text/html"CRLF
	PRAGMA": no-cache"CRLF
	LF;


static char* http_ok_gif_header =
	"%s 200 OK"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": image/gif"CRLF
	PRAGMA": no-cache"CRLF
	LF;


static char* http_bad_request_header =
	"%s 400 Bad Request"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": text/html"CRLF
	PRAGMA": no-cache"CRLF
	LF;


static char* http_not_found_header =
	"%s 404 Not Found"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": text/html"CRLF
	PRAGMA": no-cache"CRLF
	LF;


static char* http_bad_method_header =
	"%s 501 Method Not Imlemented"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": text/html"CRLF
	PRAGMA": no-cache"CRLF
	LF;


static char* http_interface_not_found_header =
	"%s 404 Not Found"CRLF
	SERVER": %s / Version %s"CRLF
	CONTENT_LENGTH": %d"CRLF
	CONTENT_TYPE": text/html"CRLF
	PRAGMA": no-cache"CRLF
	LF;


/* NIN */

#endif /* _HTTP_HEADERS_H_ */

