#ifndef _COLOURS_H_
#define _COLOURS_H_

/*
   *
   * colours.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#define _COLOR_BLACK_DARK_		"\033[0;30m"
#define _COLOR_RED_DARK_		"\033[0;31m"
#define _COLOR_GREEN_DARK_		"\033[0;32m"
#define _COLOR_YELLOW_DARK_		"\033[0;33m"
#define _COLOR_BLUE_DARK_		"\033[0;34m"
#define _COLOR_PURPLE_DARK_		"\033[0;35m"
#define _COLOR_CYAN_DARK_		"\033[0;36m"

#define _COLOR_BLACK_			"\033[1;30m"
#define _COLOR_RED_			"\033[1;31m"
#define _COLOR_GREEN_			"\033[1;32m"
#define _COLOR_YELLOW_			"\033[1;33m"
#define _COLOR_BLUE_			"\033[1;34m"
#define _COLOR_PURPLE_			"\033[1;35m"
#define _COLOR_CYAN_			"\033[1;36m"
#define _COLOR_WHITE_			"\033[1;37m"
#define _COLOR_WHITE_NORMAL_		"\033[1;38m"

#define _COLOR_WHITE_ON_RED_DARK_	"\033[0;41m"
#define _COLOR_WHITE_ON_GREEN_DARK_	"\033[0;42m"
#define _COLOR_WHITE_ON_YELLOW_DARK_	"\033[0;43m"
#define _COLOR_WHITE_ON_BLUE_DARK_	"\033[0;44m"
#define _COLOR_WHITE_ON_PURPLE_DARK_	"\033[0;45m"
#define _COLOR_WHITE_ON_CYAN_DARK_	"\033[0;46m"
#define _COLOR_WHITE_ON_WHITE_DARK_	"\033[0;47m"

#define _COLOR_WHITE_ON_BLACK_		"\033[1;40m"
#define _COLOR_WHITE_ON_RED_		"\033[1;41m"
#define _COLOR_WHITE_ON_GREEN_		"\033[1;42m"
#define _COLOR_WHITE_ON_YELLOW_		"\033[1;43m"
#define _COLOR_WHITE_ON_BLUE_		"\033[1;44m"
#define _COLOR_WHITE_ON_PURPLE_		"\033[1;45m"
#define _COLOR_WHITE_ON_CYAN_		"\033[1;46m"
#define _COLOR_WHITE_ON_GREY_		"\033[1;47m"

#define _COLOR_WHITE_NORMAL_ON_BLACK_	"\033[0;40m"
#define _COLOR_WHITE_NORMAL_ON_RED_	"\033[0;41m"
#define _COLOR_WHITE_NORMAL_ON_GREEN_	"\033[0;42m"
#define _COLOR_WHITE_NORMAL_ON_YELLOW_	"\033[0;43m"
#define _COLOR_WHITE_NORMAL_ON_BLUE_	"\033[0;44m"
#define _COLOR_WHITE_NORMAL_ON_PURPLE_	"\033[0;45m"
#define _COLOR_WHITE_NORMAL_ON_CYAN_	"\033[0;46m"
#define _COLOR_WHITE_NORMAL_ON_WHITE_	"\033[0;47m"

#define _COLOR_RED_DARK_BLINK_		"\033[5;31m"
#define _COLOR_GREEN_DARK_BLINK_	"\033[5;32m"
#define _COLOR_YELLOW_DARK_BLINK_	"\033[5;33m"
#define _COLOR_BLUE_DARK_BLINK_		"\033[5;34m"
#define _COLOR_PURPLE_DARK_BLINK_	"\033[5;35m"
#define _COLOR_CYAN_DARK_BLINK_		"\033[5;36m"
#define _COLOR_WHITE_NORMAL_BLINK_	"\033[5;37m"
#define _COLOR_WHITE_BLINK_		"\033[5;38m"

#define _COLOR_WHITE_ON_RED_BLINK_	"\033[5;41m"
#define _COLOR_WHITE_ON_GREEN_BLINK_	"\033[5;42m"
#define _COLOR_WHITE_ON_YELLOW_BLINK_	"\033[5;43m"
#define _COLOR_WHITE_ON_BLUE_BLINK_	"\033[5;44m"
#define _COLOR_WHITE_ON_PURPLE_BLINK_	"\033[5;45m"
#define _COLOR_WHITE_ON_CYAN_BLINK_	"\033[5;46m"
#define _COLOR_WHITE_ON_WHITE_BLINK_	"\033[5;47m"

#define _COLOR_BLACK_ON_RED_		"\033[7;31m"
#define _COLOR_BLACK_ON_GREEN_		"\033[7;32m"
#define _COLOR_BLACK_ON_YELLOW_		"\033[7;33m"
#define _COLOR_BLACK_ON_BLUE_		"\033[7;34m"
#define _COLOR_BLACK_ON_PURPLE_		"\033[7;35m"
#define _COLOR_BLACK_ON_CYAN_		"\033[7;36m"

#define _COLOR_BLACK_ON_WHITE_		"\033[7;40m"
#define _COLOR_RED_ON_WHITE_		"\033[7;41m"
#define _COLOR_GREEN_ON_WHITE_		"\033[7;42m"
#define _COLOR_YELLOW_ON_WHITE_		"\033[7;43m"
#define _COLOR_BLUE_ON_WHITE_		"\033[7;44m"
#define _COLOR_PURPLE_ON_WHITE_		"\033[7;45m"
#define _COLOR_CYAN_ON_WHITE_		"\033[7;46m"

#define _COLOR_END_			"\033[0m"

#define _STRING_RED_			"\033[1;31m%s\033[0m"
#define _STRING_GREEN_			"\033[1;32m%s\033[0m"
#define _STRING_BLUE_			"\033[1;34m%s\033[0m"
#define _STRING_WHITE_			"\033[1;37m%s\033[0m"
#define _STRING_YELLOW_			"\033[1;33m%s\033[0m"
#define _STRING_YELLOW_DARK_		"\033[0;33m%s\033[0m"
#define _STRING_PURPLE_			"\033[1;35m%s\033[0m"
#define _STRING_CYAN_DARK_BLINK_	"\033[5;36m%s\033[0m"
#define _STRING_CYAN_			"\033[1;36m%s\033[0m"
#define _STRING_WHITE_BLINK_		"\033[5;38m%s\033[0m"




/* NIN */

#endif /* _COLOURS_H_ */

