#ifndef _DATE_TIME_H_
#define _DATE_TIME_H_

/*
   *
   * date_time.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#include <time.h>


time_t bintime;
struct tm *current_tm;


/* Get local date */
char* get_localdate(void)
{
	static char current_date[11];

	time(&bintime);
	current_tm = localtime(&bintime);

	snprintf (current_date, sizeof(current_date), "%d-%02d-%02d", 
		current_tm->tm_year + 1900, current_tm->tm_mon + 1,
		current_tm->tm_mday);
		
	return current_date;
}


/* Get local time */
char* get_localtime(void)
{
	static char current_time[11];

	time(&bintime);
	current_tm = localtime(&bintime);

	snprintf (current_time, sizeof(current_time), "%02d:%02d:%02d", 
		current_tm->tm_hour, current_tm->tm_min, 
		current_tm->tm_sec);

	return current_time;
}



/* NIN */

#endif /* _DATE_TIME_H_ */

